Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
EGLStream.h File Reference

Libargus API: EGLStream API More...

Go to the source code of this file.

## Classes
class | Argus::IEGLOutputStreamSettings
| Interface that exposes the settings used for EGLStream-linked OutputStream creation. More...
class | Argus::IEGLOutputStream
| Interface that exposes the methods available to an EGLStream-linked OutputStream. More...

## Namespaces
namespace | Argus

## Functions
| Argus::DEFINE_UUID (StreamType, STREAM_TYPE_EGL, 3a659360, 5231, 11e7, 9598, 18, 00, 20, 0c, 9a, 66)
| OutputStream type that generates frames as an EGLStream producer (STREAM_TYPE_EGL).
| Argus::DEFINE_NAMED_UUID_CLASS (EGLStreamMode)
| Defines the EGLStream queue mode of operation (see IEGLOutputStreamSettings::setMode).
| Argus::DEFINE_UUID (EGLStreamMode, EGL_STREAM_MODE_MAILBOX, 33661d40, 3ee2, 11e6, bdf4, 08, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (EGLStreamMode, EGL_STREAM_MODE_FIFO, 33661d41, 3ee2, 11e6, bdf4, 08, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (InterfaceID, IID_EGL_OUTPUT_STREAM_SETTINGS, 3a659361, 5231, 11e7, 9598, 18, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (InterfaceID, IID_EGL_OUTPUT_STREAM, 3a659362, 5231, 11e7, 9598, 18, 00, 20, 0c, 9a, 66)

## Detailed Description

Libargus API: EGLStream API

Description: This file defines an EGLStream-linked OutputStream type.

Definition in file EGLStream.h.